package com.iamberry.wechat.core.entity.receive;

import java.io.Serializable;
import java.util.Date;

public class ChargerReceive implements Serializable {

    private static final long serialVersionUID = 6908563350511553928L;

    private Integer receiveId;
    //领取订单id
    private String receiveOrderId;
    //用户openId
    private String receiveOpenId;
    //颜色id
    private Integer colorId;
    //颜色名称
    private String colorName;
    //领取人收货地址
    private String receiveAddressInfo;
    //邮编
    private String receiveAddressPostnum;
    //收货人姓名
    private String receiveAddressName;
    //收货人手机号码
    private String receiveAddressTel;
    //发货时间
    private Date receiveSendTime;
    //物流公司
    private String receivePostFirm;
    //物流编号
    private String receivePostNum;
    //邮费(单位为分)
    private Integer receivePostage;
    //领取状态 1:代付款  2:已付款 3:已发货
    private Integer receiveStatus;
    //微信订单号
    private String receiveTransactionId;
    //微信支付时间
    private Date receiveTransactionDate;
    //创建时间
    private Date receiveCreateTime;
    //修改时间
    private Date receiveUpdateTime;

    //昵称
    private String userNickname;

    public Integer getReceiveId() {
        return receiveId;
    }

    public void setReceiveId(Integer receiveId) {
        this.receiveId = receiveId;
    }

    public String getReceiveOrderId() {
        return receiveOrderId;
    }

    public void setReceiveOrderId(String receiveOrderId) {
        this.receiveOrderId = receiveOrderId == null ? null : receiveOrderId.trim();
    }

    public String getReceiveOpenId() {
        return receiveOpenId;
    }

    public void setReceiveOpenId(String receiveOpenId) {
        this.receiveOpenId = receiveOpenId == null ? null : receiveOpenId.trim();
    }

    public Integer getColorId() {
        return colorId;
    }

    public void setColorId(Integer colorId) {
        this.colorId = colorId;
    }

    public String getColorName() {
        return colorName;
    }

    public void setColorName(String colorName) {
        this.colorName = colorName == null ? null : colorName.trim();
    }

    public String getReceiveAddressInfo() {
        return receiveAddressInfo;
    }

    public void setReceiveAddressInfo(String receiveAddressInfo) {
        this.receiveAddressInfo = receiveAddressInfo == null ? null : receiveAddressInfo.trim();
    }

    public String getReceiveAddressPostnum() {
        return receiveAddressPostnum;
    }

    public void setReceiveAddressPostnum(String receiveAddressPostnum) {
        this.receiveAddressPostnum = receiveAddressPostnum == null ? null : receiveAddressPostnum.trim();
    }

    public String getReceiveAddressName() {
        return receiveAddressName;
    }

    public void setReceiveAddressName(String receiveAddressName) {
        this.receiveAddressName = receiveAddressName == null ? null : receiveAddressName.trim();
    }

    public String getReceiveAddressTel() {
        return receiveAddressTel;
    }

    public void setReceiveAddressTel(String receiveAddressTel) {
        this.receiveAddressTel = receiveAddressTel == null ? null : receiveAddressTel.trim();
    }

    public Date getReceiveSendTime() {
        return receiveSendTime;
    }

    public void setReceiveSendTime(Date receiveSendTime) {
        this.receiveSendTime = receiveSendTime;
    }

    public String getReceivePostFirm() {
        return receivePostFirm;
    }

    public void setReceivePostFirm(String receivePostFirm) {
        this.receivePostFirm = receivePostFirm == null ? null : receivePostFirm.trim();
    }

    public String getReceivePostNum() {
        return receivePostNum;
    }

    public void setReceivePostNum(String receivePostNum) {
        this.receivePostNum = receivePostNum == null ? null : receivePostNum.trim();
    }

    public Integer getReceivePostage() {
        return receivePostage;
    }

    public void setReceivePostage(Integer receivePostage) {
        this.receivePostage = receivePostage;
    }

    public Integer getReceiveStatus() {
        return receiveStatus;
    }

    public void setReceiveStatus(Integer receiveStatus) {
        this.receiveStatus = receiveStatus;
    }

    public String getReceiveTransactionId() {
        return receiveTransactionId;
    }

    public void setReceiveTransactionId(String receiveTransactionId) {
        this.receiveTransactionId = receiveTransactionId == null ? null : receiveTransactionId.trim();
    }

    public Date getReceiveTransactionDate() {
        return receiveTransactionDate;
    }

    public void setReceiveTransactionDate(Date receiveTransactionDate) {
        this.receiveTransactionDate = receiveTransactionDate;
    }

    public Date getReceiveCreateTime() {
        return receiveCreateTime;
    }

    public void setReceiveCreateTime(Date receiveCreateTime) {
        this.receiveCreateTime = receiveCreateTime;
    }

    public Date getReceiveUpdateTime() {
        return receiveUpdateTime;
    }

    public void setReceiveUpdateTime(Date receiveUpdateTime) {
        this.receiveUpdateTime = receiveUpdateTime;
    }

    public String getUserNickname() {
        return userNickname;
    }

    public void setUserNickname(String userNickname) {
        this.userNickname = userNickname;
    }
}